Bug 329223 - Unselected windows are too dim in "Present Windows" effect
Summary: Unselected windows are too dim in "Present Windows" effect
Status: RESOLVED DUPLICATE of bug 303438
Alias: None
Product: kwin
Classification: Plasma
Component: effects-present-windows (show other bugs)
Version: 4.11.4
Platform: openSUSE Linux
: NOR wishlist with 4 votes (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-25 17:48 UTC by antonio.guadagnin
Modified: 2021-02-02 22:13 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
present windows screenshot (103.79 KB, image/jpeg)
2013-12-25 19:52 UTC, antonio.guadagnin
Details
Present Windows - Current Schema (26.61 KB, image/png)
2014-01-09 08:52 UTC, antonio.guadagnin
Details
Present Windows - Suggested Schema (31.92 KB, image/png)
2014-01-09 08:53 UTC, antonio.guadagnin
Details
Image showing too-dark shading. Can't see details of windows (460.26 KB, image/png)
2018-09-16 07:31 UTC, Ken Mankoff
Details
Image showing less severe shading when viewing multiple desktops. (857.71 KB, image/png)
2018-09-16 07:31 UTC, Ken Mankoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description antonio.guadagnin 2013-12-25 17:48:50 UTC
In "Present Windows" effect the unselected windows are really too dim.

Dimness level should be like unselected desktops in "Desktop Grid" effect.

Alternatively, a good solution could be a switcher (1 to 100) in settings ( similar to "Dim Inactive" effect ).

Reproducible: Always
Comment 1 Thomas Lübking 2013-12-25 18:52:06 UTC
eg. conflicting opinion: bug #175521
can you make a screenshot illustrating why this would be a problem?

There'll be no feature additions before Plasma-Workspaces 2 ("notKDE5"), so if this is an issue and requires re-balancing, you need to back that suggestion.
Comment 2 antonio.guadagnin 2013-12-25 19:52:11 UTC
Created attachment 84267 [details]
present windows screenshot

It's a problem for my eyes... the contrast is too much high.
IMHO it should be like unselected desktops in "Desktop Grid",  but there are no settings available...
Comment 3 Martin Flöser 2013-12-27 08:43:51 UTC
> It's a problem for my eyes... the contrast is too much high.
> IMHO it should be like unselected desktops in "Desktop Grid",  but there are
> no settings available...
It might be a problem of your screen. Give a try to play with brightness and 
contrast. This is just for you to find a maybe better short term solution.

In general I agree that Desktop Grid and Present Windows should have the same 
highlight settings. Whether it's needed to make this configurable, I'm not 
sure.

Anyway as Thomas already explained we cannot adjust that in 4.x releases - 
people might consider visual changes as a regression. For the next major 
release I still hope to get the two effects merged and rewritten on top of 
QtQuick.
Comment 4 antonio.guadagnin 2013-12-27 10:31:32 UTC
It's not a problem of my screen, I installed Opensuse + KDE + Kwin over approx. 50 desktops in 4 companies, but my message is basically a suggest for next release.
In the past I used Compiz instead of Kwin because there are three effects that really increase productivity :
1 - "Zoom Desktop" with mouse wheel ( consider that it works also over CAD software running in OS Windows - VirtualBox guest  )
2 - "Desktop Grid" with mouse top right corner trigger
3 - "Present Windows" with mouse top left corner trigger
Six months ago I began to use Kwin ( less memory usage than Compiz ) but only ... when I been able to replicate under kwin the compiz "zoom entire desktop" effect ( with xbindkeysrc ).
Comment 5 Thomas Lübking 2014-01-08 12:43:59 UTC
> the contrast is too much high.
Can you please elaborate on this?

The local contrast of the unselected window actually shrinks.

The point about the global contrast (25:10 between selected and unselected) is to easily show the selected window (mostly stems from the tabbox and remains for the keyboard invocation case) and it's lower than eg. the contrast between your wallpaper and window background (26:10) or even the black-on-white text (close to infinite, but certainly 100:10 - which is also on smaller structures)

Also the screen does not get short term brighter, but short term dimmer (you don't get blinded by the effect)
Comment 6 antonio.guadagnin 2014-01-09 08:51:26 UTC
for Thomas :
I didn't well understand your last message. However, I attach two images in attempt to clarify my point of view.

The first image  ( "1. Present WIndows - Current Schema.png ") shows the current white color treatment of "present windows" effect.

The second ( "2. Present Windows - Suggested Schema,png") shows my suggested schema.
Comment 7 antonio.guadagnin 2014-01-09 08:52:57 UTC
Created attachment 84531 [details]
Present Windows - Current Schema
Comment 8 antonio.guadagnin 2014-01-09 08:53:38 UTC
Created attachment 84532 [details]
Present Windows - Suggested Schema
Comment 9 Till Seifert 2014-01-12 20:05:08 UTC
I just came here to file a bug about this.

I use a darkish color scheme and present window (normal) unfortunately makes editors an dolphins hard to discriminate without squinting. It's not so much contrast as absolute brightness (or darkness in this case).

This is certainly dependend on room-brightness and monitor-brightness, but i find myself using onyl Present Windown (all Desktops) even if the Windows are much smaller; i spot the wanted window quickly.

As a suggestion i would use the current contrast-settings as soon as an arrow-key is pressed, to help with the keyboard-nav.
Comment 10 Ken Mankoff 2018-09-16 07:23:27 UTC
*** Bug 398637 has been marked as a duplicate of this bug. ***
Comment 11 Ken Mankoff 2018-09-16 07:28:41 UTC
I filed a duplicate bug report, then found this one. I just want to weigh in with the OP that when viewing windows in one desktop, it is too dark to see details of the non-selected windows. If there are several terminal (similar windows) it is important to be able to see some of the details.

Note that when viewing multiple virtual desktops, there is also shading of the non-active desktop, but this shading is much less. See the two images I will attach after saving this comment.
Comment 12 Ken Mankoff 2018-09-16 07:31:02 UTC
Created attachment 114995 [details]
Image showing too-dark shading. Can't see details of windows

Image showing too-dark shading. Can't see details of windows
Comment 13 Ken Mankoff 2018-09-16 07:31:37 UTC
Created attachment 114996 [details]
Image showing less severe shading when viewing multiple desktops.
Comment 14 Patrick Silva 2018-09-16 23:08:07 UTC

*** This bug has been marked as a duplicate of bug 385522 ***
Comment 15 Nate Graham 2021-01-08 20:05:22 UTC

*** This bug has been marked as a duplicate of bug 303438 ***
Comment 16 Szczepan Hołyszewski 2021-02-02 22:13:04 UTC
There should be NO DIMMING WHATSOEVER. The established meaning and use of dimming as a GUI idiom is to de-emphasize things that are outside of the scope of the task at hand. If the task is to examine multiple items in order to choose one, then ALL items are absolutely relevant, and NONE of them is even one promille less relevant than the others.

DIMMING IN PRESENT WINDOWS IS HARMFUL AND MUST GO. This is not a matter of opinion. Those who believe it should stay are objectively wrong. Those who want it gone are objectively right.